Bug 1010651 - [Usability] It is possible to add mail server with duplicate type to mail session
[Usability] It is possible to add mail server with duplicate type to mail ses...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On: 1066151
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 05:37 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:37:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-312 Minor Resolved Prevent duplicate mail server types 2014-02-26 07:11:11 EST

  None (edit)
Description Jakub Cechacek 2013-09-22 05:37:05 EDT
Each of predefined mail-server types can be present in mail session no more than once. 

Current behavior:
Console will accept duplicate mail-server and then fail with model response.

Expected behavior:
Either don't list duplicate types when add mail server or add some sort of validation.
Comment 1 JBoss JIRA Server 2014-01-29 08:06:40 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-312 to Resolved
Comment 2 Jakub Cechacek 2014-02-26 07:11:56 EST
Verified 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.